var events = require('events');
var eventEmitter = new events.EventEmitter();
eventEmitter.on('event', function print(){
    console.log("이벤트 동작");
});
eventEmitter.emit('event');

var events = require('events');
var eventEmitter = new events.EventEmitter();
eventEmitter.on('event', () =>{
    console.log("익명 이벤트 동작");
});
eventEmitter.emit('event');

var events = require('events');
var eventEmitter = new events.EventEmitter();
eventEmitter.on('event', function(a){
    console.log(a + " : 이벤트 동작");
});
eventEmitter.emit('event', 'function X 매개변수');

var events = require('events');
var eventEmitter = new events.EventEmitter();
eventEmitter.on('event', (a) =>{
    console.log(a + " : 이벤트 동작");
});
eventEmitter.emit('event', 'function O 매개변수');